Bug 70025 - IPv6 CATEGORY not documented correctly
Summary: IPv6 CATEGORY not documented correctly
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-08-05 12:20 UTC by Mohacsi Janos
Modified: 2005-02-18 09:22 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mohacsi Janos 2004-08-05 12:20:20 UTC
	Some port supports IPv6, however not added ipv6 virtual category in their 
	Makefile indicate IPv6 support:

	audio/zinf
	devel/ORBit
	devel/ORBit2
	dns/bind84
	dns/pdnsd
	dns/posadis
	ftp/lukemftp
	ftp/proftpd
	ftp/tnftp
	games/gtetrinet
	games/tetrinet
	games/quake2lnx
	games/eif
	irc/bitchx
	irc/miau
	irc/muh
	irc/psybnc
	irc/unreal
	java/jdk14
	lang/php4
	lang/php5
	mail/exim
	mail/mimedefang
	mail/nail
	mail/thunderbird
	multimedia/libxine
	net/gnunet
	net/jabber
	net/trafshow
	net/ossp-sa
	net/gnet2
	net/libpcap
	net/tcpdump
	net/p5-Net-CIDR-Lite
	net-mgmt/sendip
	news/leafnode
	security/openssh
	security/ftpmap
	www/dillo
	www/firefox
	www/mini_httpd
	www/mozilla
	www/mozilla-devel
	www/retawq
	www/http_get

	Needs further testing:
	devel/nspr
	net/gtkhx
	x11/gdm2

Fix: 

Add virtual category 'ipv6' to Makefile of documented programs above after 
	discussion with maintainers. 
	No need to increade the PORTREVISION, no fuctionality changed.
How-To-Repeat: 	Review the ports about IPv6 compatibility.
Comment 1 Volker Stolz freebsd_committer 2004-12-22 12:32:14 UTC
State Changed
From-To: open->feedback

I pruned no longer existing ports and those which now list ipv6. 
Please discuss the remainder with the respective maintainers #)
Comment 2 Volker Stolz freebsd_committer 2005-02-18 09:21:16 UTC
State Changed
From-To: feedback->closed

Feedback timeout. Sorry it didn't work out. I think this is the 
wrong approach, PRs spanning too much ports never really work out, 
it seems.